Package org.apache.wiki

# Interface StringTransmutator

All Known Implementing Classes:
  `LinkCollector`

public interface StringTransmutator
Defines an interface for transforming strings within a Wiki context.

Since:
  1.6.4

## Method Summary

Modifier and Type
Method
Description
`String`
`mutate(org.apache.wiki.api.core.Context context, String source)`
Returns a changed String, suitable for Wiki context.

## Method Details

### mutate

String mutate(org.apache.wiki.api.core.Context context, String source)
Returns a changed String, suitable for Wiki context.

Parameters:
  `context` - WikiContext in which mutation is to be done
  `source` - The source string.
Returns:
  The mutated string.